All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculateditems.html
Interface BaseExpressionEditorKeysInterface

All Known Implementing Classes:
  BaseExpressionEditor

    public interface BaseExpressionEditorKeysInterface

This interface defines keys used to retrieve the visual components for the BaseExpressionEditor from its component map. These keys are the component keys needed to access the components from the map via a CompositeComponentInterface.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  `BaseExpressionEditor`, `CompositeComponentInterface`

Field Summary
`static java.lang.String` | `BASEEXPRESSIONEDITOR_ADD_BUTTON` Component key for the add button of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_CLEAR_BUTTON` Component key for the parenthesize button of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_DIVIDE_BUTTON` Component key for the divide button of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_EXPRESSION_AREA` Component key for the editor area of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_EXPRESSION_LABEL` Component key for the label of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_HELP_TEXT` Component key for the help text of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_MULTIPLY_BUTTON` Component key for the multiply button of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_NETSCAPE_HELP_TEXT` Component key for the Netscape help text of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_PARENTHESIZE_BUTTON` Component key for the parenthesize button of the base expression editor
`static java.lang.String` | `BASEEXPRESSIONEDITOR_SUBTRACT_BUTTON` Component key for the subtract button of the base expression editor

Field Detail

### BASEEXPRESSIONEDITOR_EXPRESSION_LABEL

    static final java.lang.String BASEEXPRESSIONEDITOR_EXPRESSION_LABEL

  Component key for the label of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_EXPRESSION_AREA

    static final java.lang.String BASEEXPRESSIONEDITOR_EXPRESSION_AREA

  Component key for the editor area of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_ADD_BUTTON

    static final java.lang.String BASEEXPRESSIONEDITOR_ADD_BUTTON

  Component key for the add button of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_SUBTRACT_BUTTON

    static final java.lang.String BASEEXPRESSIONEDITOR_SUBTRACT_BUTTON

  Component key for the subtract button of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_MULTIPLY_BUTTON

    static final java.lang.String BASEEXPRESSIONEDITOR_MULTIPLY_BUTTON

  Component key for the multiply button of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_DIVIDE_BUTTON

    static final java.lang.String BASEEXPRESSIONEDITOR_DIVIDE_BUTTON

  Component key for the divide button of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_PARENTHESIZE_BUTTON

    static final java.lang.String BASEEXPRESSIONEDITOR_PARENTHESIZE_BUTTON

  Component key for the parenthesize button of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_CLEAR_BUTTON

    static final java.lang.String BASEEXPRESSIONEDITOR_CLEAR_BUTTON

  Component key for the parenthesize button of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_HELP_TEXT

    static final java.lang.String BASEEXPRESSIONEDITOR_HELP_TEXT

  Component key for the help text of the base expression editor

  See Also:
    Constant Field Values

### BASEEXPRESSIONEDITOR_NETSCAPE_HELP_TEXT

    static final java.lang.String BASEEXPRESSIONEDITOR_NETSCAPE_HELP_TEXT

  Component key for the Netscape help text of the base expression editor

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.